import t from "./index-generateUtilityClass.js";
import e from "./index-generateUtilityClasses.js";
function p(r) {
  return t("MuiGrid", r);
}
const s = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10], a = ["column-reverse", "column", "row-reverse", "row"], o = ["nowrap", "wrap-reverse", "wrap"], i = ["auto", !0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12], d = e("MuiGrid", [
  "root",
  "container",
  "item",
  "zeroMinWidth",
  // spacings
  ...s.map((r) => `spacing-xs-${r}`),
  // direction values
  ...a.map((r) => `direction-xs-${r}`),
  // wrap values
  ...o.map((r) => `wrap-xs-${r}`),
  // grid sizes for all breakpoints
  ...i.map((r) => `grid-xs-${r}`),
  ...i.map((r) => `grid-sm-${r}`),
  ...i.map((r) => `grid-md-${r}`),
  ...i.map((r) => `grid-lg-${r}`),
  ...i.map((r) => `grid-xl-${r}`)
]);
export {
  d as default,
  p as getGridUtilityClass
};
